#pragma once

#include "Screen.h"

class C16KPageScr : public CScreen
{
		DECLARE_DYNAMIC(C16KPageScr)

		BYTE *m_pBuffer;
		size_t m_nBufSize;

	public:
		C16KPageScr(BYTE *buffer, size_t size);
		virtual void ReDrawScreen();
		// Screen own methods

		virtual void SetPalette(int palette);
		virtual void SetAdaptMode(BOOL bFlag);
		virtual void SetColorMode(BOOL bColorMode = TRUE);

	protected:
		virtual BOOL PreCreateWindow(CREATESTRUCT &cs);
		DECLARE_MESSAGE_MAP()
};

